package com.ruoyi.project.hit.domain;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.NumberFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * @TableName card_product
 */
@TableName(value ="card_product")
@Data
public class CardProduct implements Serializable {
    @TableId(type = IdType.AUTO)
    @ExcelIgnore
    private Integer id;

    @ExcelProperty("奖品名称")
    @ColumnWidth(20)
    private String pname;

    @ExcelProperty("图片url路径")
    @ColumnWidth(20)
    private String pic;

    @ExcelProperty("奖品简介")
    @ColumnWidth(20)
    private String content;

    @ExcelProperty("奖品市场价")
    @NumberFormat("#.##")
    @ColumnWidth(20)
    private BigDecimal price;

    @ExcelProperty("逻辑删除字段0:正常 1:已删除")
    @ColumnWidth(20)
    private Integer delState;

    private static final long serialVersionUID = 1L;
}