package com.ruoyi.project.hit.mapper;

import com.ruoyi.project.hit.controller.vo.ListInfoVo;
import com.ruoyi.project.hit.controller.vo.TotalInfoVo;
import com.ruoyi.project.hit.domain.CardUserHit;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* @author HP
* @description 针对表【card_user_hit】的数据库操作Mapper
* @createDate 2024-05-28 23:47:42
* @Entity com.ruoyi.project.hit.domain.CardUserHit
*/
public interface CardUserHitMapper extends BaseMapper<CardUserHit> {
    List<HashMap> selectCardUserHitInfo(TotalInfoVo totalInfoVo);

    Map getCardGameBygameid(Integer gameid);

    List<HashMap> getProductsBygameid(Integer gameid);

    List<HashMap> selectCardUserHitList(ListInfoVo listInfoVo);

}




