package com.ruoyi.project.hit.service;

import com.ruoyi.project.hit.controller.vo.ListCardUserVo;
import com.ruoyi.project.hit.domain.CardUser;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.HashMap;
import java.util.List;

/**
* @author HP
* @description 针对表【card_user】的数据库操作Service
* @createDate 2024-05-22 22:53:27
*/
public interface CardUserService extends IService<CardUser> {

    /**
     *根据会员等级编号查询总记录数
     * @param dictKey
     * @return
     */
    Long queryByDictKey(Integer dictKey);

    /**
     *
     * @param listCardUserVo
     * @return
     */
    List<HashMap> selectCardUserList(ListCardUserVo listCardUserVo);
}
