package com.ruoyi.project.hit.controller;

import com.ruoyi.framework.web.controller.BaseController;
import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.hit.domain.CardGameProduct;
import com.ruoyi.project.hit.service.CardGameProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/*
活动奖品配置
 */
@RestController
@RequestMapping("/hit/game_product")
public class CardGameProductController extends BaseController {
    @Autowired
    private CardGameProductService cardGameProductService;

    /**
     * 活动奖品配置
     * @param cardGameProduct
     * @return
     */
    @PostMapping
    public AjaxResult configGameProduct(@RequestBody CardGameProduct cardGameProduct)
    {
        return toAjax(cardGameProductService.configGameProduct(cardGameProduct));
    }

    @DeleteMapping("/{id}")
    public AjaxResult deleteGameProduct(@PathVariable("id") Integer id)
    {
        cardGameProductService.deleteGameProduct(id);
        return AjaxResult.success("删除成功",null);
    }

}
