package com.ruoyi.project.hit.controller;

import com.ruoyi.framework.web.controller.BaseController;
import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.hit.domain.CardGameProduct;
import com.ruoyi.project.hit.domain.CardGameRule;
import com.ruoyi.project.hit.service.CardGameRuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/*
活动奖品配置
 */
@RestController
@RequestMapping("/hit/game_rule")
public class CardGameRuleController extends BaseController {
    @Autowired
    private CardGameRuleService cardGameRuleService;


    /**
     * 中奖策略配置接口
     * @param cardGameRule
     * @return
     */
    @PostMapping
    public AjaxResult configGameRule(@RequestBody CardGameRule cardGameRule)
    {
        return toAjax(cardGameRuleService.configGameRule(cardGameRule));
    }

    @DeleteMapping("/{id}")
    public AjaxResult deleteGameProduct(@PathVariable("id") Integer id)
    {
        cardGameRuleService.deleteGameRule(id);
        return AjaxResult.success("删除成功",null);
    }

}
