package com.ruoyi.project.hit.controller.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.NumberFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ExcelCardProductVo {
    @ExcelProperty("奖品名称")
    @ColumnWidth(20)
    private String pname;

    @ExcelProperty("图片url路径")
    @ColumnWidth(20)
    private String pic;

    @ExcelProperty("奖品简介")
    @ColumnWidth(20)
    private String content;

    @ExcelProperty("奖品市场价")
    @NumberFormat("#.##")
    @ColumnWidth(20)
    private BigDecimal price;

    @ExcelProperty("逻辑删除字段0:正常 1:已删除")
    @ColumnWidth(20)
    private Integer delState;
}
