package com.ruoyi.project.hit.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @TableName card_game
 */
@TableName(value ="card_game")
@Data
public class CardGame implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    private String title;

    private String pic;

    private String content;

    private Date startTime;

    private Date endTime;

    private Integer type;

    private Integer status;

    //自动填充时间
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    private static final long serialVersionUID = 1L;
}