package com.ruoyi.project.hit.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @TableName system_dict
 */
@TableName(value ="system_dict")
@Data
public class SystemDict implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    private String dictType;

    private Integer dictKey;

    private String dictValue;

    private Integer delState;

    //自动填充时间
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    private static final long serialVersionUID = 1L;
}